GET /api/v3/energyStar/submissionStatus

Get the submission status for places by submission period. Places that do not match the filter criteria will not be returned. NOTE: Deleting/voiding bills that have already been submitted will not cause submission status to change from "submitted".

GetEnergyStarSubmissionStatusListV3 Permissions: ENERGYSTARSubmissions (Run)
Returned submission status: Submitted - submission has been made for this place and submission period and no bills have been created or modified since the last submission No Data - no submission has been made for this place and submission period and current submission period has no billing data Incomplete - no submission has been made for this place and submission period and current billing data is incomplete (some meters may not have data or some days in submission period may not have data) Ready - no submission has been made for this place and submission period and current billing data is complete (every meter has data for every day of this period), or submission has been made but billing data has been added or modified since the last submission

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
submissionBeginPeriod The beginning submission period to select integer (int32) Required
submissionEndPeriod The ending submission period to select; set equal to beginning submission period get one period integer (int32) Required
filter API filter string containing conditions string (string) Optional

Filters

Filter Description Type Operators
organizationId Integer equals
organizationInfo Place Group Name String equals
placeID Integer equals not equals less than between one of greater than less than equal greater than equal not one of

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyStarPlaceSubmissionStatusResponse
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place name string
placeSize PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
placeSubmissionStatus The list of submission periods and the submission status for each period EnergyStarPlaceSubmissionStatusChild[]
EnergyStarPlaceSubmissionStatusChild properties
Property Description Type
submissionPeriod The submission period integer (int32)
submissionPeriodDisplayName The submission period display name. Only populated if the submission period has a custom name. string
submissionStatus

The submission status:

Submitted  - submission has been made for this place and submission period
Incomplete - no submission has been made for this place and submission period, and current billing data is incomplete
Ready      - no submission has been made for this place and submission period, and current billing data is complete
string
placeSubmissionType SubmissionTypeResponse
SubmissionTypeResponse properties
Property Description Type
submissionTypeId The identifier for the submission type integer (int32)
submissionTypeName The name of the submission type string
Example Response application/json
[
  {    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeSize": {      "beginDate": "2026-03-30",      "endDate": "2026-03-30",      "placeSizeId": 1,      "unitCode": "string",      "unitId": 1,      "unitInfo": "string",      "value": 1.0
    },    "placeSubmissionStatus": [
      {      "submissionPeriod": 1,      "submissionPeriodDisplayName": "string",      "submissionStatus": "string"
    }
    ],    "placeSubmissionType": {      "submissionTypeId": 1,      "submissionTypeName": "string"
    }
  }
]